.TH "mca_ptl_sm_frag_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_sm_frag_t \- shared memory received fragment derived type - because of the way lists are initialized in Open MPI, this is good only for the first fragment.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_sm_frag.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_recv_frag_t\fP \fBsuper\fP"
.br
.RI "\fIbase receive fragment descriptor \fP"
.ti -1c
.RI "size_t \fBbuff_length\fP"
.br
.RI "\fIsize of buffer \fP"
.ti -1c
.RI "int \fBqueue_index\fP"
.br
.RI "\fIlocal process index, cached for fast acking \fP"
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP * \fBsend_ptl\fP"
.br
.RI "\fIPTL that is selected for first fragment. \fP"
.ti -1c
.RI "\fBmca_ptl_base_send_request_t\fP * \fBsend_req\fP"
.br
.ti -1c
.RI "size_t \fBsend_offset\fP"
.br
.ti -1c
.RI "void * \fBbuff\fP"
.br
.RI "\fIpointer to buffer \fP"
.in -1c
.SH "Detailed Description"
.PP 
shared memory received fragment derived type - because of the way lists are initialized in Open MPI, this is good only for the first fragment. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
